/**
 * Autogenerated by Thrift Compiler (0.13.0)
 *
 * DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
 *  @generated
 */
package org.eclipse.hawk.service.api;


@javax.annotation.Generated(value = "Autogenerated by Thrift Compiler (0.13.0)", date = "2021-04-18")
public enum HawkPluginCategory implements org.apache.thrift.TEnum {
  BACKEND(0),
  GRAPH_CHANGE_LISTENER(1),
  INDEX_FACTORY(2),
  METAMODEL_INTROSPECTOR(3),
  METAMODEL_RESOURCE_FACTORY(4),
  METAMODEL_UPDATER(5),
  MODEL_RESOURCE_FACTORY(6),
  MODEL_UPDATER(7),
  QUERY_ENGINE(8),
  VCS_MANAGER(9);

  private final int value;

  private HawkPluginCategory(int value) {
    this.value = value;
  }

  /**
   * Get the integer value of this enum value, as defined in the Thrift IDL.
   */
  public int getValue() {
    return value;
  }

  /**
   * Find a the enum type by its integer value, as defined in the Thrift IDL.
   * @return null if the value is not found.
   */
  @org.apache.thrift.annotation.Nullable
  public static HawkPluginCategory findByValue(int value) { 
    switch (value) {
      case 0:
        return BACKEND;
      case 1:
        return GRAPH_CHANGE_LISTENER;
      case 2:
        return INDEX_FACTORY;
      case 3:
        return METAMODEL_INTROSPECTOR;
      case 4:
        return METAMODEL_RESOURCE_FACTORY;
      case 5:
        return METAMODEL_UPDATER;
      case 6:
        return MODEL_RESOURCE_FACTORY;
      case 7:
        return MODEL_UPDATER;
      case 8:
        return QUERY_ENGINE;
      case 9:
        return VCS_MANAGER;
      default:
        return null;
    }
  }
}
